from odoo import models, fields, api
import time,logging

class SOS_Master_Customer_property(models.Model):
    _name = 'sos_master_list_customer'
    _description = 'Master Customer Property'
    _rec_name = 'customer_name'
    _order = 'id desc'

    customer_name = fields.Many2one('sos_inventory_customers', string="Customer Name", required=True)
    line_ids_customer_property = fields.One2many('sos_customer_property_list','ref_id', string="Customer Property")

class SOS_Master_Customer_Property(models.Model):
    _name = 'sos_customer_property_list'
    _description = 'Master Customer Property'
    _rec_name = 'customer_property_name'
    _order = 'id desc'

    ref_id = fields.Many2one('sos_master_list_customer', string="Customer Property", ondelete="cascade")
    customer_property_name = fields.Char(string="Customer Property Name", required= True)
    customer_property_received_date = fields.Datetime(string="Customer Property Received Date")
    customer_property_ref_no = fields.Char(string="Customer Property Reference/Revision No./Reference Doc.No.")
    customer_property_stored_at = fields.Char(string="Customer Property Stored at", required= True)
    protecting_customer_property = fields.Char(string="Authorized Person responsible for Protecting Customer Property")
    master_list_last_reviewed = fields.Datetime(string="Master List Last Reviewed DD/MM/YYYY")
